//******************************************************
//  ƣ MQ6823_SFR_addr.h
//  汾     V1.0 2019/03/15MQ6823
//      
//  ע     1. ĴλԪܹ֮
//           2. ⹦ܼĴӳλַ
//******************************************************

#ifndef _MQ6823_SFR_ADDR_H_
#define _MQ6823_SFR_ADDR_H_

/* This definition is for I/O variable and extern definition */
/* So please do not use the name "IO_MEM".*/
#ifdef IO_MEM
#define EXTERN
#else
#define EXTERN extern
#endif




//****************************************************
#ifndef	uchar
#define uchar unsigned char
#endif
#ifndef	uint
#define uint  unsigned int
#endif
#ifndef	ulong
#define ulong unsigned long
#endif
//****************************************************


//****************************************************
//  1. ĴλԪܹ֮ **************
//****************************************************

//****************************************************
//===  Bit λ֮ ======
typedef struct
{
    uchar   b7:1;
    uchar   b6:1;
    uchar   b5:1;
    uchar   b4:1;
    uchar   b3:1;
    uchar   b2:1;
    uchar   b1:1;
    uchar   b0:1;
} BIT8_LIST;
typedef struct
{
    uint    b15:1;
    uint    b14:1;
    uint    b13:1;
    uint    b12:1;
    uint    b11:1;
    uint    b10:1;
    uint    b9:1;
    uint    b8:1;
    uint    b7:1;
    uint    b6:1;
    uint    b5:1;
    uint    b4:1;
    uint    b3:1;
    uint    b2:1;
    uint    b1:1;
    uint    b0:1;
} BIT16_LIST;

//****************************************************
//===  Bit λ֮ ======
typedef struct {                uchar b7_6:2;   uchar bd:6; } BIT8_7_6;
typedef struct {                uchar b7_5:3;   uchar bd:5; } BIT8_7_5;
typedef struct {                uchar b7_4:4;   uchar bd:4; } BIT8_7_4;
typedef struct {                uchar b7_3:5;   uchar bd:3; } BIT8_7_3;
typedef struct {                uchar b7_2:6;   uchar bd:2; } BIT8_7_2;
typedef struct {                uchar b7_1:7;   uchar bd:1; } BIT8_7_1;

typedef struct { uchar bu:1;    uchar b6_5:2;   uchar bd:5; } BIT8_6_5;
typedef struct { uchar bu:1;    uchar b6_4:3;   uchar bd:4; } BIT8_6_4;
typedef struct { uchar bu:1;    uchar b6_3:4;   uchar bd:3; } BIT8_6_3;
typedef struct { uchar bu:1;    uchar b6_2:5;   uchar bd:2; } BIT8_6_2;
typedef struct { uchar bu:1;    uchar b6_1:6;   uchar bd:1; } BIT8_6_1;
typedef struct { uchar bu:1;    uchar b6_0:7;               } BIT8_6_0;

typedef struct { uchar bu:2;    uchar b5_4:2;   uchar bd:4; } BIT8_5_4;
typedef struct { uchar bu:2;    uchar b5_3:3;   uchar bd:3; } BIT8_5_3;
typedef struct { uchar bu:2;    uchar b5_2:4;   uchar bd:2; } BIT8_5_2;
typedef struct { uchar bu:2;    uchar b5_1:5;   uchar bd:1; } BIT8_5_1;
typedef struct { uchar bu:2;    uchar b5_0:6;               } BIT8_5_0;

typedef struct { uchar bu:3;    uchar b4_3:2;   uchar bd:3; } BIT8_4_3;
typedef struct { uchar bu:3;    uchar b4_2:3;   uchar bd:2; } BIT8_4_2;
typedef struct { uchar bu:3;    uchar b4_1:4;   uchar bd:1; } BIT8_4_1;
typedef struct { uchar bu:3;    uchar b4_0:5;               } BIT8_4_0;

typedef struct { uchar bu:4;    uchar b3_2:2;   uchar bd:2; } BIT8_3_2;
typedef struct { uchar bu:4;    uchar b3_1:3;   uchar bd:1; } BIT8_3_1;
typedef struct { uchar bu:4;    uchar b3_0:4;               } BIT8_3_0;

typedef struct { uchar bu:5;    uchar b2_1:2;   uchar bd:1; } BIT8_2_1;
typedef struct { uchar bu:5;    uchar b2_0:3;               } BIT8_2_0;

typedef struct { uchar bu:6;    uchar b1_0:2;               } BIT8_1_0;

//****************************************************
//=== ϶֮ BIT 8 LIST ======
typedef union
{
    uchar       byte;
    BIT8_LIST   bit;
    BIT8_7_6    b7_6;
    BIT8_7_5    b7_5;
    BIT8_7_4    b7_4;
    BIT8_7_3    b7_3;
    BIT8_7_2    b7_2;
    BIT8_7_1    b7_1;
    BIT8_6_5    b6_5;
    BIT8_6_4    b6_4;
    BIT8_6_3    b6_3;
    BIT8_6_2    b6_2;
    BIT8_6_1    b6_1;
    BIT8_6_0    b6_0;
    BIT8_5_4    b5_4;
    BIT8_5_3    b5_3;
    BIT8_5_2    b5_2;
    BIT8_5_1    b5_1;
    BIT8_5_0    b5_0;
    BIT8_4_3    b4_3;
    BIT8_4_2    b4_2;
    BIT8_4_1    b4_1;
    BIT8_4_0    b4_0;
    BIT8_3_2    b3_2;
    BIT8_3_1    b3_1;
    BIT8_3_0    b3_0;
    BIT8_2_1    b2_1;
    BIT8_2_0    b2_0;
    BIT8_1_0    b1_0;
} BIT_LIST_8;

//****************************************************
//=== ϶֮ BIT 16 LIST ======
typedef union
{
    uint        word;
    uchar       byte[2];
    BIT16_LIST  bit;
} BIT_LIST_16;

//****************************************************
//=== Բͬͺ֮ FSCTRL вͬ ======
//=== MQ6823======
typedef struct
{
    const uchar bu:5;                   // Ϊ const ʹ߸ĵ bit
          uchar b2_1:2;
          uchar b0:1;
} BIT8_MQ6823_FSCTRL;
typedef union
{
    const uchar        byte;
    BIT8_MQ6823_FSCTRL bit;            
} BIT_LIST_FSCTRL;
//****************************************************

//****************************************************
//   --> ĴλԪܹ֮ ********
//****************************************************







//****************************************************
//  2. ⹦ܼĴӳλַ ******************
//****************************************************
//***[SFR1 --> 0x0000 ~ 0x003f] **********************
volatile EXTERN BIT_LIST_8              __io(0x0000)    _0x0000;
volatile EXTERN BIT_LIST_8              __io(0x0001)    _0x0001;
volatile EXTERN BIT_LIST_8              __io(0x0002)    _0x0002;
volatile EXTERN BIT_LIST_8              __io(0x0003)    _0x0003;
volatile EXTERN BIT_LIST_8              __io(0x0004)    _0x0004;
volatile EXTERN BIT_LIST_8              __io(0x0005)    _0x0005;
volatile EXTERN BIT_LIST_8              __io(0x0006)    _0x0006;
volatile EXTERN BIT_LIST_8              __io(0x0007)    _0x0007;
volatile EXTERN BIT_LIST_8              __io(0x0008)    _0x0008;
volatile EXTERN BIT_LIST_8              __io(0x0009)    _0x0009;
volatile EXTERN BIT_LIST_8              __io(0x000A)    _0x000A;
volatile EXTERN BIT_LIST_8              __io(0x000B)    _0x000B;
volatile EXTERN BIT_LIST_8              __io(0x000C)    _0x000C;
volatile EXTERN BIT_LIST_8              __io(0x000D)    _0x000D;
volatile EXTERN BIT_LIST_8              __io(0x000E)    _0x000E;
volatile EXTERN BIT_LIST_8              __io(0x000F)    _0x000F;

volatile EXTERN BIT_LIST_8              __io(0x0010)    _0x0010;
volatile EXTERN BIT_LIST_8              __io(0x0011)    _0x0011;
volatile EXTERN BIT_LIST_8              __io(0x0012)    _0x0012;
volatile EXTERN BIT_LIST_8              __io(0x0013)    _0x0013;
volatile EXTERN BIT_LIST_8              __io(0x0014)    _0x0014;
volatile EXTERN BIT_LIST_8              __io(0x0015)    _0x0015;
volatile EXTERN BIT_LIST_8              __io(0x0016)    _0x0016;
volatile EXTERN BIT_LIST_8              __io(0x0017)    _0x0017;
volatile EXTERN BIT_LIST_8              __io(0x0018)    _0x0018;
volatile EXTERN BIT_LIST_8              __io(0x0019)    _0x0019;
volatile EXTERN BIT_LIST_8              __io(0x001A)    _0x001A;
volatile EXTERN BIT_LIST_8              __io(0x001B)    _0x001B;
volatile EXTERN BIT_LIST_8              __io(0x001C)    _0x001C;
volatile EXTERN BIT_LIST_8              __io(0x001D)    _0x001D;
volatile EXTERN BIT_LIST_8              __io(0x001E)    _0x001E;
volatile EXTERN BIT_LIST_8              __io(0x001F)    _0x001F;

volatile EXTERN BIT_LIST_8              __io(0x0020)    _0x0020;
volatile EXTERN BIT_LIST_8              __io(0x0021)    _0x0021;
volatile EXTERN BIT_LIST_8              __io(0x0022)    _0x0022;
volatile EXTERN BIT_LIST_8              __io(0x0023)    _0x0023;
volatile EXTERN BIT_LIST_8              __io(0x0024)    _0x0024;
volatile EXTERN BIT_LIST_8              __io(0x0025)    _0x0025;
volatile EXTERN BIT_LIST_8              __io(0x0026)    _0x0026;
volatile EXTERN BIT_LIST_8              __io(0x0027)    _0x0027;
volatile EXTERN BIT_LIST_8              __io(0x0028)    _0x0028;
volatile EXTERN BIT_LIST_8              __io(0x0029)    _0x0029;
volatile EXTERN BIT_LIST_8              __io(0x002A)    _0x002A;
volatile EXTERN BIT_LIST_8              __io(0x002B)    _0x002B;
volatile EXTERN BIT_LIST_8              __io(0x002C)    _0x002C;
volatile EXTERN BIT_LIST_16             __io(0x002D)    _0x002D;//20190118_Check_OK
//volatile EXTERN BIT_LIST_8            __io(0x002E)    _0x002E;//20190118_Check_OK
volatile EXTERN BIT_LIST_16             __io(0x002F)    _0x002F;//20190118_Check_OK

//volatile EXTERN BIT_LIST_8            __io(0x0030)    _0x0030;//20190118_Check_OK
volatile EXTERN BIT_LIST_8              __io(0x0031)    _0x0031;
volatile EXTERN BIT_LIST_8              __io(0x0032)    _0x0032;
volatile EXTERN BIT_LIST_8              __io(0x0033)    _0x0033;
volatile EXTERN BIT_LIST_8              __io(0x0034)    _0x0034;
volatile EXTERN BIT_LIST_8              __io(0x0035)    _0x0035;
volatile EXTERN BIT_LIST_16             __io(0x0036)    _0x0036;//20190118_Check_OK
//volatile EXTERN BIT_LIST_8            __io(0x0037)    _0x0037;//20190118_Check_OK
volatile EXTERN BIT_LIST_8              __io(0x0038)    _0x0038;
volatile EXTERN BIT_LIST_8              __io(0x0039)    _0x0039;
volatile EXTERN BIT_LIST_8              __io(0x003A)    _0x003A;
volatile EXTERN BIT_LIST_8              __io(0x003B)    _0x003B;
volatile EXTERN BIT_LIST_8              __io(0x003C)    _0x003C;
volatile EXTERN BIT_LIST_8              __io(0x003D)    _0x003D;
volatile EXTERN BIT_LIST_8              __io(0x003E)    _0x003E;
volatile EXTERN BIT_LIST_8              __io(0x003F)    _0x003F;



//***[SFR3 --> 0x0e40 ~ 0x0eff] **********************
volatile EXTERN BIT_LIST_8              __io(0x0E40)    _0x0E40;
volatile EXTERN BIT_LIST_8              __io(0x0E41)    _0x0E41;
volatile EXTERN BIT_LIST_8              __io(0x0E42)    _0x0E42;
volatile EXTERN BIT_LIST_8              __io(0x0E43)    _0x0E43;
volatile EXTERN BIT_LIST_8              __io(0x0E44)    _0x0E44;
volatile EXTERN BIT_LIST_8              __io(0x0E45)    _0x0E45;
volatile EXTERN BIT_LIST_8              __io(0x0E46)    _0x0E46;
volatile EXTERN BIT_LIST_8              __io(0x0E47)    _0x0E47;
volatile EXTERN BIT_LIST_8              __io(0x0E48)    _0x0E48;
volatile EXTERN BIT_LIST_8              __io(0x0E49)    _0x0E49;
volatile EXTERN BIT_LIST_8              __io(0x0E4A)    _0x0E4A;
volatile EXTERN BIT_LIST_8              __io(0x0E4B)    _0x0E4B;
volatile EXTERN BIT_LIST_8              __io(0x0E4C)    _0x0E4C;
volatile EXTERN BIT_LIST_8              __io(0x0E4D)    _0x0E4D;
volatile EXTERN BIT_LIST_8              __io(0x0E4E)    _0x0E4E;
volatile EXTERN BIT_LIST_8              __io(0x0E4F)    _0x0E4F;

volatile EXTERN BIT_LIST_8              __io(0x0E50)    _0x0E50;
volatile EXTERN BIT_LIST_8              __io(0x0E51)    _0x0E51;
volatile EXTERN BIT_LIST_8              __io(0x0E52)    _0x0E52;
volatile EXTERN BIT_LIST_8              __io(0x0E53)    _0x0E53;
volatile EXTERN BIT_LIST_8              __io(0x0E54)    _0x0E54;
volatile EXTERN BIT_LIST_8              __io(0x0E55)    _0x0E55;
volatile EXTERN BIT_LIST_8              __io(0x0E56)    _0x0E56;
volatile EXTERN BIT_LIST_8              __io(0x0E57)    _0x0E57;
volatile EXTERN BIT_LIST_8              __io(0x0E58)    _0x0E58;
volatile EXTERN BIT_LIST_8              __io(0x0E59)    _0x0E59;
volatile EXTERN BIT_LIST_8              __io(0x0E5A)    _0x0E5A;
volatile EXTERN BIT_LIST_8              __io(0x0E5B)    _0x0E5B;
volatile EXTERN BIT_LIST_8              __io(0x0E5C)    _0x0E5C;
volatile EXTERN BIT_LIST_8              __io(0x0E5D)    _0x0E5D;
volatile EXTERN BIT_LIST_8              __io(0x0E5E)    _0x0E5E;
volatile EXTERN BIT_LIST_8              __io(0x0E5F)    _0x0E5F;

volatile EXTERN BIT_LIST_8              __io(0x0E60)    _0x0E60;
volatile EXTERN BIT_LIST_8              __io(0x0E61)    _0x0E61;
volatile EXTERN BIT_LIST_8              __io(0x0E62)    _0x0E62;
volatile EXTERN BIT_LIST_8              __io(0x0E63)    _0x0E63;
volatile EXTERN BIT_LIST_8              __io(0x0E64)    _0x0E64;
volatile EXTERN BIT_LIST_8              __io(0x0E65)    _0x0E65;
volatile EXTERN BIT_LIST_8              __io(0x0E66)    _0x0E66;
volatile EXTERN BIT_LIST_8              __io(0x0E67)    _0x0E67;
volatile EXTERN BIT_LIST_8              __io(0x0E68)    _0x0E68;
volatile EXTERN BIT_LIST_8              __io(0x0E69)    _0x0E69;
volatile EXTERN BIT_LIST_8              __io(0x0E6A)    _0x0E6A;
volatile EXTERN BIT_LIST_8              __io(0x0E6B)    _0x0E6B;
volatile EXTERN BIT_LIST_8              __io(0x0E6C)    _0x0E6C;
volatile EXTERN BIT_LIST_8              __io(0x0E6D)    _0x0E6D;
volatile EXTERN BIT_LIST_8              __io(0x0E6E)    _0x0E6E;
volatile EXTERN BIT_LIST_8              __io(0x0E6F)    _0x0E6F;

volatile EXTERN BIT_LIST_8              __io(0x0E70)    _0x0E70;
volatile EXTERN BIT_LIST_8              __io(0x0E71)    _0x0E71;
volatile EXTERN BIT_LIST_8              __io(0x0E72)    _0x0E72;
volatile EXTERN BIT_LIST_8              __io(0x0E73)    _0x0E73;
volatile EXTERN BIT_LIST_8              __io(0x0E74)    _0x0E74;
volatile EXTERN BIT_LIST_8              __io(0x0E75)    _0x0E75;
volatile EXTERN BIT_LIST_8              __io(0x0E76)    _0x0E76;
volatile EXTERN BIT_LIST_8              __io(0x0E77)    _0x0E77;
volatile EXTERN BIT_LIST_8              __io(0x0E78)    _0x0E78;
volatile EXTERN BIT_LIST_8              __io(0x0E79)    _0x0E79;
volatile EXTERN BIT_LIST_8              __io(0x0E7A)    _0x0E7A;
volatile EXTERN BIT_LIST_8              __io(0x0E7B)    _0x0E7B;
volatile EXTERN BIT_LIST_8              __io(0x0E7C)    _0x0E7C;
volatile EXTERN BIT_LIST_8              __io(0x0E7D)    _0x0E7D;
volatile EXTERN BIT_LIST_8              __io(0x0E7E)    _0x0E7E;
volatile EXTERN BIT_LIST_8              __io(0x0E7F)    _0x0E7F;

volatile EXTERN BIT_LIST_8              __io(0x0E80)    _0x0E80;
volatile EXTERN BIT_LIST_8              __io(0x0E81)    _0x0E81;
volatile EXTERN BIT_LIST_8              __io(0x0E82)    _0x0E82;
volatile EXTERN BIT_LIST_8              __io(0x0E83)    _0x0E83;
volatile EXTERN BIT_LIST_8              __io(0x0E84)    _0x0E84;
volatile EXTERN BIT_LIST_8              __io(0x0E85)    _0x0E85;
volatile EXTERN BIT_LIST_8              __io(0x0E86)    _0x0E86;
volatile EXTERN BIT_LIST_8              __io(0x0E87)    _0x0E87;
volatile EXTERN BIT_LIST_8              __io(0x0E88)    _0x0E88;
volatile EXTERN BIT_LIST_8              __io(0x0E89)    _0x0E89;
volatile EXTERN BIT_LIST_8              __io(0x0E8A)    _0x0E8A;
volatile EXTERN BIT_LIST_8              __io(0x0E8B)    _0x0E8B;
volatile EXTERN BIT_LIST_8              __io(0x0E8C)    _0x0E8C;
volatile EXTERN BIT_LIST_8              __io(0x0E8D)    _0x0E8D;
volatile EXTERN BIT_LIST_8              __io(0x0E8E)    _0x0E8E;
volatile EXTERN BIT_LIST_8              __io(0x0E8F)    _0x0E8F;

volatile EXTERN BIT_LIST_8              __io(0x0E90)    _0x0E90;
volatile EXTERN BIT_LIST_8              __io(0x0E91)    _0x0E91;
volatile EXTERN BIT_LIST_8              __io(0x0E92)    _0x0E92;
volatile EXTERN BIT_LIST_8              __io(0x0E93)    _0x0E93;
volatile EXTERN BIT_LIST_8              __io(0x0E94)    _0x0E94;
volatile EXTERN BIT_LIST_8              __io(0x0E95)    _0x0E95;
volatile EXTERN BIT_LIST_8              __io(0x0E96)    _0x0E96;
volatile EXTERN BIT_LIST_8              __io(0x0E97)    _0x0E97;
volatile EXTERN BIT_LIST_8              __io(0x0E98)    _0x0E98;
volatile EXTERN BIT_LIST_8              __io(0x0E99)    _0x0E99;
volatile EXTERN BIT_LIST_8              __io(0x0E9A)    _0x0E9A;
volatile EXTERN BIT_LIST_8              __io(0x0E9B)    _0x0E9B;
volatile EXTERN BIT_LIST_8              __io(0x0E9C)    _0x0E9C;
volatile EXTERN BIT_LIST_8              __io(0x0E9D)    _0x0E9D;
volatile EXTERN BIT_LIST_8              __io(0x0E9E)    _0x0E9E;
volatile EXTERN BIT_LIST_8              __io(0x0E9F)    _0x0E9F;

volatile EXTERN BIT_LIST_8              __io(0x0EA0)    _0x0EA0;
volatile EXTERN BIT_LIST_8              __io(0x0EA1)    _0x0EA1;
volatile EXTERN BIT_LIST_8              __io(0x0EA2)    _0x0EA2;
volatile EXTERN BIT_LIST_8              __io(0x0EA3)    _0x0EA3;
volatile EXTERN BIT_LIST_8              __io(0x0EA4)    _0x0EA4;
volatile EXTERN BIT_LIST_8              __io(0x0EA5)    _0x0EA5;
volatile EXTERN BIT_LIST_8              __io(0x0EA6)    _0x0EA6;
volatile EXTERN BIT_LIST_8              __io(0x0EA7)    _0x0EA7;
volatile EXTERN BIT_LIST_8              __io(0x0EA8)    _0x0EA8;
volatile EXTERN BIT_LIST_8              __io(0x0EA9)    _0x0EA9;
volatile EXTERN BIT_LIST_8              __io(0x0EAA)    _0x0EAA;
volatile EXTERN BIT_LIST_8              __io(0x0EAB)    _0x0EAB;
volatile EXTERN BIT_LIST_8              __io(0x0EAC)    _0x0EAC;
volatile EXTERN BIT_LIST_8              __io(0x0EAD)    _0x0EAD;
volatile EXTERN BIT_LIST_8              __io(0x0EAE)    _0x0EAE;
volatile EXTERN BIT_LIST_8              __io(0x0EAF)    _0x0EAF;

volatile EXTERN BIT_LIST_8              __io(0x0EB0)    _0x0EB0;
volatile EXTERN BIT_LIST_8              __io(0x0EB1)    _0x0EB1;
volatile EXTERN BIT_LIST_8              __io(0x0EB2)    _0x0EB2;
volatile EXTERN BIT_LIST_8              __io(0x0EB3)    _0x0EB3;
volatile EXTERN BIT_LIST_8              __io(0x0EB4)    _0x0EB4;
volatile EXTERN BIT_LIST_8              __io(0x0EB5)    _0x0EB5;
volatile EXTERN BIT_LIST_8              __io(0x0EB6)    _0x0EB6;
volatile EXTERN BIT_LIST_8              __io(0x0EB7)    _0x0EB7;
volatile EXTERN BIT_LIST_8              __io(0x0EB8)    _0x0EB8;
volatile EXTERN BIT_LIST_8              __io(0x0EB9)    _0x0EB9;
volatile EXTERN BIT_LIST_8              __io(0x0EBA)    _0x0EBA;
volatile EXTERN BIT_LIST_8              __io(0x0EBB)    _0x0EBB;
volatile EXTERN BIT_LIST_8              __io(0x0EBC)    _0x0EBC;
volatile EXTERN BIT_LIST_8              __io(0x0EBD)    _0x0EBD;
volatile EXTERN BIT_LIST_8              __io(0x0EBE)    _0x0EBE;
volatile EXTERN BIT_LIST_8              __io(0x0EBF)    _0x0EBF;

volatile EXTERN BIT_LIST_8              __io(0x0EC0)    _0x0EC0;
volatile EXTERN BIT_LIST_8              __io(0x0EC1)    _0x0EC1;
volatile EXTERN BIT_LIST_8              __io(0x0EC2)    _0x0EC2;
volatile EXTERN BIT_LIST_8              __io(0x0EC3)    _0x0EC3;
volatile EXTERN BIT_LIST_8              __io(0x0EC4)    _0x0EC4;
volatile EXTERN BIT_LIST_8              __io(0x0EC5)    _0x0EC5;
volatile EXTERN BIT_LIST_8              __io(0x0EC6)    _0x0EC6;
volatile EXTERN BIT_LIST_8              __io(0x0EC7)    _0x0EC7;
volatile EXTERN BIT_LIST_8              __io(0x0EC8)    _0x0EC8;
volatile EXTERN BIT_LIST_8              __io(0x0EC9)    _0x0EC9;
volatile EXTERN BIT_LIST_8              __io(0x0ECA)    _0x0ECA;
volatile EXTERN BIT_LIST_8              __io(0x0ECB)    _0x0ECB;
volatile EXTERN BIT_LIST_8              __io(0x0ECC)    _0x0ECC;
volatile EXTERN BIT_LIST_8              __io(0x0ECD)    _0x0ECD;
volatile EXTERN BIT_LIST_8              __io(0x0ECE)    _0x0ECE;
volatile EXTERN BIT_LIST_8              __io(0x0ECF)    _0x0ECF;

volatile EXTERN BIT_LIST_8              __io(0x0ED0)    _0x0ED0;
volatile EXTERN BIT_LIST_8              __io(0x0ED1)    _0x0ED1;
volatile EXTERN BIT_LIST_8              __io(0x0ED2)    _0x0ED2;
volatile EXTERN BIT_LIST_8              __io(0x0ED3)    _0x0ED3;
volatile EXTERN BIT_LIST_8              __io(0x0ED4)    _0x0ED4;
volatile EXTERN BIT_LIST_8              __io(0x0ED5)    _0x0ED5;
volatile EXTERN BIT_LIST_8              __io(0x0ED6)    _0x0ED6;
volatile EXTERN BIT_LIST_8              __io(0x0ED7)    _0x0ED7;
volatile EXTERN BIT_LIST_8              __io(0x0ED8)    _0x0ED8;
volatile EXTERN BIT_LIST_8              __io(0x0ED9)    _0x0ED9;
volatile EXTERN BIT_LIST_8              __io(0x0EDA)    _0x0EDA;
volatile EXTERN BIT_LIST_8              __io(0x0EDB)    _0x0EDB;
volatile EXTERN BIT_LIST_8              __io(0x0EDC)    _0x0EDC;
volatile EXTERN BIT_LIST_8              __io(0x0EDD)    _0x0EDD;
volatile EXTERN BIT_LIST_8              __io(0x0EDE)    _0x0EDE;
volatile EXTERN BIT_LIST_8              __io(0x0EDF)    _0x0EDF;

volatile EXTERN BIT_LIST_8              __io(0x0EE0)    _0x0EE0;
volatile EXTERN BIT_LIST_8              __io(0x0EE1)    _0x0EE1;
volatile EXTERN BIT_LIST_8              __io(0x0EE2)    _0x0EE2;
volatile EXTERN BIT_LIST_8              __io(0x0EE3)    _0x0EE3;
volatile EXTERN BIT_LIST_8              __io(0x0EE4)    _0x0EE4;
volatile EXTERN BIT_LIST_8              __io(0x0EE5)    _0x0EE5;
volatile EXTERN BIT_LIST_8              __io(0x0EE6)    _0x0EE6;
volatile EXTERN BIT_LIST_8              __io(0x0EE7)    _0x0EE7;
volatile EXTERN BIT_LIST_8              __io(0x0EE8)    _0x0EE8;
volatile EXTERN BIT_LIST_8              __io(0x0EE9)    _0x0EE9;
volatile EXTERN BIT_LIST_8              __io(0x0EEA)    _0x0EEA;
volatile EXTERN BIT_LIST_8              __io(0x0EEB)    _0x0EEB;
volatile EXTERN BIT_LIST_8              __io(0x0EEC)    _0x0EEC;
volatile EXTERN BIT_LIST_FSCTRL         __io(0x0EED)    _0x0EED;//20190118_Check_OK
volatile EXTERN BIT_LIST_8              __io(0x0EEE)    _0x0EEE;
volatile EXTERN BIT_LIST_8              __io(0x0EEF)    _0x0EEF;

volatile EXTERN BIT_LIST_8              __io(0x0EF0)    _0x0EF0;
volatile EXTERN BIT_LIST_8              __io(0x0EF1)    _0x0EF1;
volatile EXTERN BIT_LIST_8              __io(0x0EF2)    _0x0EF2;
volatile EXTERN BIT_LIST_8              __io(0x0EF3)    _0x0EF3;
volatile EXTERN BIT_LIST_8              __io(0x0EF4)    _0x0EF4;
volatile EXTERN BIT_LIST_8              __io(0x0EF5)    _0x0EF5;
volatile EXTERN BIT_LIST_8              __io(0x0EF6)    _0x0EF6;
volatile EXTERN BIT_LIST_8              __io(0x0EF7)    _0x0EF7;
volatile EXTERN BIT_LIST_8              __io(0x0EF8)    _0x0EF8;
volatile EXTERN BIT_LIST_8              __io(0x0EF9)    _0x0EF9;
volatile EXTERN BIT_LIST_8              __io(0x0EFA)    _0x0EFA;
volatile EXTERN BIT_LIST_8              __io(0x0EFB)    _0x0EFB;
volatile EXTERN BIT_LIST_8              __io(0x0EFC)    _0x0EFC;
volatile EXTERN BIT_LIST_8              __io(0x0EFD)    _0x0EFD;
volatile EXTERN BIT_LIST_8              __io(0x0EFE)    _0x0EFE;
volatile EXTERN BIT_LIST_8              __io(0x0EFF)    _0x0EFF;



//***[SFR2 --> 0x0f00 ~ 0x0fff] **********************
volatile EXTERN BIT_LIST_8              __io(0x0F00)    _0x0F00;
volatile EXTERN BIT_LIST_8              __io(0x0F01)    _0x0F01;
volatile EXTERN BIT_LIST_8              __io(0x0F02)    _0x0F02;
volatile EXTERN BIT_LIST_8              __io(0x0F03)    _0x0F03;
volatile EXTERN BIT_LIST_8              __io(0x0F04)    _0x0F04;
volatile EXTERN BIT_LIST_8              __io(0x0F05)    _0x0F05;
volatile EXTERN BIT_LIST_8              __io(0x0F06)    _0x0F06;
volatile EXTERN BIT_LIST_8              __io(0x0F07)    _0x0F07;
volatile EXTERN BIT_LIST_8              __io(0x0F08)    _0x0F08;
volatile EXTERN BIT_LIST_8              __io(0x0F09)    _0x0F09;
volatile EXTERN BIT_LIST_8              __io(0x0F0A)    _0x0F0A;
volatile EXTERN BIT_LIST_8              __io(0x0F0B)    _0x0F0B;
volatile EXTERN BIT_LIST_8              __io(0x0F0C)    _0x0F0C;
volatile EXTERN BIT_LIST_8              __io(0x0F0D)    _0x0F0D;
volatile EXTERN BIT_LIST_8              __io(0x0F0E)    _0x0F0E;
volatile EXTERN BIT_LIST_8              __io(0x0F0F)    _0x0F0F;

volatile EXTERN BIT_LIST_8              __io(0x0F10)    _0x0F10;
volatile EXTERN BIT_LIST_8              __io(0x0F11)    _0x0F11;
volatile EXTERN BIT_LIST_8              __io(0x0F12)    _0x0F12;
volatile EXTERN BIT_LIST_8              __io(0x0F13)    _0x0F13;
volatile EXTERN BIT_LIST_8              __io(0x0F14)    _0x0F14;
volatile EXTERN BIT_LIST_8              __io(0x0F15)    _0x0F15;
volatile EXTERN BIT_LIST_8              __io(0x0F16)    _0x0F16;
volatile EXTERN BIT_LIST_8              __io(0x0F17)    _0x0F17;
volatile EXTERN BIT_LIST_8              __io(0x0F18)    _0x0F18;
volatile EXTERN BIT_LIST_8              __io(0x0F19)    _0x0F19;
volatile EXTERN BIT_LIST_8              __io(0x0F1A)    _0x0F1A;
volatile EXTERN BIT_LIST_8              __io(0x0F1B)    _0x0F1B;
volatile EXTERN BIT_LIST_8              __io(0x0F1C)    _0x0F1C;
volatile EXTERN BIT_LIST_8              __io(0x0F1D)    _0x0F1D;
volatile EXTERN BIT_LIST_8              __io(0x0F1E)    _0x0F1E;
volatile EXTERN BIT_LIST_8              __io(0x0F1F)    _0x0F1F;

volatile EXTERN BIT_LIST_8              __io(0x0F20)    _0x0F20;
volatile EXTERN BIT_LIST_8              __io(0x0F21)    _0x0F21;
volatile EXTERN BIT_LIST_8              __io(0x0F22)    _0x0F22;
volatile EXTERN BIT_LIST_8              __io(0x0F23)    _0x0F23;
volatile EXTERN BIT_LIST_8              __io(0x0F24)    _0x0F24;
volatile EXTERN BIT_LIST_8              __io(0x0F25)    _0x0F25;
volatile EXTERN BIT_LIST_8              __io(0x0F26)    _0x0F26;
volatile EXTERN BIT_LIST_8              __io(0x0F27)    _0x0F27;
volatile EXTERN BIT_LIST_8              __io(0x0F28)    _0x0F28;
volatile EXTERN BIT_LIST_8              __io(0x0F29)    _0x0F29;
volatile EXTERN BIT_LIST_8              __io(0x0F2A)    _0x0F2A;
volatile EXTERN BIT_LIST_8              __io(0x0F2B)    _0x0F2B;
volatile EXTERN BIT_LIST_8              __io(0x0F2C)    _0x0F2C;
volatile EXTERN BIT_LIST_8              __io(0x0F2D)    _0x0F2D;
volatile EXTERN BIT_LIST_8              __io(0x0F2E)    _0x0F2E;
volatile EXTERN BIT_LIST_8              __io(0x0F2F)    _0x0F2F;

volatile EXTERN BIT_LIST_8              __io(0x0F30)    _0x0F30;
volatile EXTERN BIT_LIST_8              __io(0x0F31)    _0x0F31;
volatile EXTERN BIT_LIST_8              __io(0x0F32)    _0x0F32;
volatile EXTERN BIT_LIST_8              __io(0x0F33)    _0x0F33;
volatile EXTERN BIT_LIST_8              __io(0x0F34)    _0x0F34;
volatile EXTERN BIT_LIST_8              __io(0x0F35)    _0x0F35;
volatile EXTERN BIT_LIST_8              __io(0x0F36)    _0x0F36;
volatile EXTERN BIT_LIST_8              __io(0x0F37)    _0x0F37;
volatile EXTERN BIT_LIST_8              __io(0x0F38)    _0x0F38;
volatile EXTERN BIT_LIST_8              __io(0x0F39)    _0x0F39;
volatile EXTERN BIT_LIST_8              __io(0x0F3A)    _0x0F3A;
volatile EXTERN BIT_LIST_8              __io(0x0F3B)    _0x0F3B;
volatile EXTERN BIT_LIST_8              __io(0x0F3C)    _0x0F3C;
volatile EXTERN BIT_LIST_8              __io(0x0F3D)    _0x0F3D;
volatile EXTERN BIT_LIST_8              __io(0x0F3E)    _0x0F3E;
volatile EXTERN BIT_LIST_8              __io(0x0F3F)    _0x0F3F;

volatile EXTERN BIT_LIST_8              __io(0x0F40)    _0x0F40;
volatile EXTERN BIT_LIST_8              __io(0x0F41)    _0x0F41;
volatile EXTERN BIT_LIST_8              __io(0x0F42)    _0x0F42;
volatile EXTERN BIT_LIST_8              __io(0x0F43)    _0x0F43;
volatile EXTERN BIT_LIST_8              __io(0x0F44)    _0x0F44;
volatile EXTERN BIT_LIST_8              __io(0x0F45)    _0x0F45;
volatile EXTERN BIT_LIST_8              __io(0x0F46)    _0x0F46;
volatile EXTERN BIT_LIST_8              __io(0x0F47)    _0x0F47;
volatile EXTERN BIT_LIST_8              __io(0x0F48)    _0x0F48;
volatile EXTERN BIT_LIST_8              __io(0x0F49)    _0x0F49;
volatile EXTERN BIT_LIST_8              __io(0x0F4A)    _0x0F4A;
volatile EXTERN BIT_LIST_8              __io(0x0F4B)    _0x0F4B;
volatile EXTERN BIT_LIST_8              __io(0x0F4C)    _0x0F4C;
volatile EXTERN BIT_LIST_8              __io(0x0F4D)    _0x0F4D;
volatile EXTERN BIT_LIST_8              __io(0x0F4E)    _0x0F4E;
volatile EXTERN BIT_LIST_8              __io(0x0F4F)    _0x0F4F;

volatile EXTERN BIT_LIST_8              __io(0x0F50)    _0x0F50;
volatile EXTERN BIT_LIST_8              __io(0x0F51)    _0x0F51;
volatile EXTERN BIT_LIST_8              __io(0x0F52)    _0x0F52;
volatile EXTERN BIT_LIST_8              __io(0x0F53)    _0x0F53;
volatile EXTERN BIT_LIST_8              __io(0x0F54)    _0x0F54;
volatile EXTERN BIT_LIST_8              __io(0x0F55)    _0x0F55;
volatile EXTERN BIT_LIST_8              __io(0x0F56)    _0x0F56;
volatile EXTERN BIT_LIST_8              __io(0x0F57)    _0x0F57;
volatile EXTERN BIT_LIST_8              __io(0x0F58)    _0x0F58;
volatile EXTERN BIT_LIST_8              __io(0x0F59)    _0x0F59;
volatile EXTERN BIT_LIST_16             __io(0x0F5A)    _0x0F5A;//20190118_Check_OK
//volatile EXTERN BIT_LIST_8            __io(0x0F5B)    _0x0F5B;//20190118_Check_OK
volatile EXTERN BIT_LIST_16             __io(0x0F5C)    _0x0F5C;//20190118_Check_OK
//volatile EXTERN BIT_LIST_8            __io(0x0F5D)    _0x0F5D;//20190118_Check_OK
volatile EXTERN BIT_LIST_8              __io(0x0F5E)    _0x0F5E;
volatile EXTERN BIT_LIST_8              __io(0x0F5F)    _0x0F5F;

volatile EXTERN BIT_LIST_8              __io(0x0F60)    _0x0F60;
volatile EXTERN BIT_LIST_8              __io(0x0F61)    _0x0F61;
volatile EXTERN BIT_LIST_8              __io(0x0F62)    _0x0F62;
volatile EXTERN BIT_LIST_8              __io(0x0F63)    _0x0F63;
volatile EXTERN BIT_LIST_8              __io(0x0F64)    _0x0F64;
volatile EXTERN BIT_LIST_8              __io(0x0F65)    _0x0F65;
volatile EXTERN BIT_LIST_8              __io(0x0F66)    _0x0F66;
volatile EXTERN BIT_LIST_8              __io(0x0F67)    _0x0F67;
volatile EXTERN BIT_LIST_8              __io(0x0F68)    _0x0F68;
volatile EXTERN BIT_LIST_8              __io(0x0F69)    _0x0F69;
volatile EXTERN BIT_LIST_8              __io(0x0F6A)    _0x0F6A;
volatile EXTERN BIT_LIST_8              __io(0x0F6B)    _0x0F6B;
volatile EXTERN BIT_LIST_8              __io(0x0F6C)    _0x0F6C;
volatile EXTERN BIT_LIST_8              __io(0x0F6D)    _0x0F6D;
volatile EXTERN BIT_LIST_8              __io(0x0F6E)    _0x0F6E;
volatile EXTERN BIT_LIST_8              __io(0x0F6F)    _0x0F6F;//20190315

volatile EXTERN BIT_LIST_8              __io(0x0F70)    _0x0F70;
volatile EXTERN BIT_LIST_8              __io(0x0F71)    _0x0F71;
volatile EXTERN BIT_LIST_8              __io(0x0F72)    _0x0F72;
volatile EXTERN BIT_LIST_8              __io(0x0F73)    _0x0F73;
volatile EXTERN BIT_LIST_8              __io(0x0F74)    _0x0F74;
volatile EXTERN BIT_LIST_8              __io(0x0F75)    _0x0F75;
volatile EXTERN BIT_LIST_8              __io(0x0F76)    _0x0F76;
volatile EXTERN BIT_LIST_8              __io(0x0F77)    _0x0F77;
volatile EXTERN BIT_LIST_8              __io(0x0F78)    _0x0F78;
volatile EXTERN BIT_LIST_8              __io(0x0F79)    _0x0F79;
volatile EXTERN BIT_LIST_8              __io(0x0F7A)    _0x0F7A;
volatile EXTERN BIT_LIST_8              __io(0x0F7B)    _0x0F7B;
volatile EXTERN BIT_LIST_8              __io(0x0F7C)    _0x0F7C;
volatile EXTERN BIT_LIST_8              __io(0x0F7D)    _0x0F7D;
volatile EXTERN BIT_LIST_8              __io(0x0F7E)    _0x0F7E;
volatile EXTERN BIT_LIST_8              __io(0x0F7F)    _0x0F7F;

volatile EXTERN BIT_LIST_8              __io(0x0F80)    _0x0F80;
volatile EXTERN BIT_LIST_8              __io(0x0F81)    _0x0F81;
volatile EXTERN BIT_LIST_8              __io(0x0F82)    _0x0F82;
volatile EXTERN BIT_LIST_8              __io(0x0F83)    _0x0F83;
volatile EXTERN BIT_LIST_8              __io(0x0F84)    _0x0F84;
volatile EXTERN BIT_LIST_8              __io(0x0F85)    _0x0F85;
volatile EXTERN BIT_LIST_8              __io(0x0F86)    _0x0F86;
volatile EXTERN BIT_LIST_8              __io(0x0F87)    _0x0F87;
volatile EXTERN BIT_LIST_8              __io(0x0F88)    _0x0F88;
volatile EXTERN BIT_LIST_8              __io(0x0F89)    _0x0F89;
volatile EXTERN BIT_LIST_8              __io(0x0F8A)    _0x0F8A;
volatile EXTERN BIT_LIST_8             	__io(0x0F8B)    _0x0F8B;
volatile EXTERN BIT_LIST_8            	__io(0x0F8C)    _0x0F8C;
volatile EXTERN BIT_LIST_8              __io(0x0F8D)    _0x0F8D;
volatile EXTERN BIT_LIST_8              __io(0x0F8E)    _0x0F8E;
volatile EXTERN BIT_LIST_8              __io(0x0F8F)    _0x0F8F;

volatile EXTERN BIT_LIST_8              __io(0x0F90)    _0x0F90;
volatile EXTERN BIT_LIST_8              __io(0x0F91)    _0x0F91;
volatile EXTERN BIT_LIST_8            	__io(0x0F92)    _0x0F92;
volatile EXTERN BIT_LIST_8             	__io(0x0F93)    _0x0F93;
volatile EXTERN BIT_LIST_8            	__io(0x0F94)    _0x0F94;
volatile EXTERN BIT_LIST_8             	__io(0x0F95)    _0x0F95;
volatile EXTERN BIT_LIST_8            	__io(0x0F96)    _0x0F96;
volatile EXTERN BIT_LIST_8             	__io(0x0F97)    _0x0F97;
volatile EXTERN BIT_LIST_8            	__io(0x0F98)    _0x0F98;
volatile EXTERN BIT_LIST_8              __io(0x0F99)    _0x0F99;
volatile EXTERN BIT_LIST_8              __io(0x0F9A)    _0x0F9A;
volatile EXTERN BIT_LIST_8              __io(0x0F9B)    _0x0F9B;
volatile EXTERN BIT_LIST_8              __io(0x0F9C)    _0x0F9C;
volatile EXTERN BIT_LIST_8              __io(0x0F9D)    _0x0F9D;
volatile EXTERN BIT_LIST_8              __io(0x0F9E)    _0x0F9E;
volatile EXTERN BIT_LIST_16             __io(0x0F9F)    _0x0F9F;//20190315_Check_OK

//volatile EXTERN BIT_LIST_8            __io(0x0FA0)    _0x0FA0;//20190315_Check_OK
volatile EXTERN BIT_LIST_16             __io(0x0FA1)    _0x0FA1;//20190315_Check_OK
//volatile EXTERN BIT_LIST_8            __io(0x0FA2)    _0x0FA2;//20190315_Check_OK
volatile EXTERN BIT_LIST_16             __io(0x0FA3)    _0x0FA3;//20190315_Check_OK
//volatile EXTERN BIT_LIST_8            __io(0x0FA4)    _0x0FA4;//20190315_Check_OK
volatile EXTERN BIT_LIST_16             __io(0x0FA5)    _0x0FA5;//20190315_Check_OK
//volatile EXTERN BIT_LIST_8            __io(0x0FA6)    _0x0FA6;//20190315_Check_OK
volatile EXTERN BIT_LIST_16             __io(0x0FA7)    _0x0FA7;//20190315_Check_OK
//volatile EXTERN BIT_LIST_8            __io(0x0FA8)    _0x0FA8;//20190315_Check_OK
volatile EXTERN BIT_LIST_16             __io(0x0FA9)    _0x0FA9;//20190315_Check_OK
//volatile EXTERN BIT_LIST_8            __io(0x0FAA)    _0x0FAA;//20190315_Check_OK
volatile EXTERN BIT_LIST_16             __io(0x0FAB)    _0x0FAB;//20190315_Check_OK
//volatile EXTERN BIT_LIST_8            __io(0x0FAC)    _0x0FAC;//20190315_Check_OK
volatile EXTERN BIT_LIST_8              __io(0x0FAD)    _0x0FAD;
volatile EXTERN BIT_LIST_8              __io(0x0FAE)    _0x0FAE;
volatile EXTERN BIT_LIST_8              __io(0x0FAF)    _0x0FAF;

volatile EXTERN BIT_LIST_8              __io(0x0FB0)    _0x0FB0;
volatile EXTERN BIT_LIST_8              __io(0x0FB1)    _0x0FB1;
volatile EXTERN BIT_LIST_8              __io(0x0FB2)    _0x0FB2;
volatile EXTERN BIT_LIST_8              __io(0x0FB3)    _0x0FB3;//20190315_Check_OK
volatile EXTERN BIT_LIST_8            	__io(0x0FB4)    _0x0FB4;//20190315_Check_OK
volatile EXTERN BIT_LIST_8              __io(0x0FB5)    _0x0FB5;//20190315_Check_OK
volatile EXTERN BIT_LIST_8            	__io(0x0FB6)    _0x0FB6;//20190315_Check_OK
volatile EXTERN BIT_LIST_8              __io(0x0FB7)    _0x0FB7;//20190315_Check_OK
volatile EXTERN BIT_LIST_8            	__io(0x0FB8)    _0x0FB8;//20190315_Check_OK
volatile EXTERN BIT_LIST_8              __io(0x0FB9)    _0x0FB9;//20190315_Check_OK
volatile EXTERN BIT_LIST_8            	__io(0x0FBA)    _0x0FBA;//20190315_Check_OK
volatile EXTERN BIT_LIST_8              __io(0x0FBB)    _0x0FBB;//20190315_Check_OK
volatile EXTERN BIT_LIST_8            	__io(0x0FBC)    _0x0FBC;//20190315_Check_OK
volatile EXTERN BIT_LIST_8              __io(0x0FBD)    _0x0FBD;//20190315_Check_OK
volatile EXTERN BIT_LIST_8            	__io(0x0FBE)    _0x0FBE;//20190315_Check_OK
volatile EXTERN BIT_LIST_8              __io(0x0FBF)    _0x0FBF;//20190315_Check_OK

volatile EXTERN BIT_LIST_8            	__io(0x0FC0)    _0x0FC0;//20190315_Check_OK
volatile EXTERN BIT_LIST_8              __io(0x0FC1)    _0x0FC1;
volatile EXTERN BIT_LIST_8              __io(0x0FC2)    _0x0FC2;
volatile EXTERN BIT_LIST_8              __io(0x0FC3)    _0x0FC3;
volatile EXTERN BIT_LIST_8              __io(0x0FC4)    _0x0FC4;
volatile EXTERN BIT_LIST_8              __io(0x0FC5)    _0x0FC5;
volatile EXTERN BIT_LIST_8              __io(0x0FC6)    _0x0FC6;
volatile EXTERN BIT_LIST_8              __io(0x0FC7)    _0x0FC7;
volatile EXTERN BIT_LIST_8              __io(0x0FC8)    _0x0FC8;
volatile EXTERN BIT_LIST_8              __io(0x0FC9)    _0x0FC9;
volatile EXTERN BIT_LIST_8              __io(0x0FCA)    _0x0FCA;
volatile EXTERN BIT_LIST_8              __io(0x0FCB)    _0x0FCB;
volatile EXTERN BIT_LIST_8              __io(0x0FCC)    _0x0FCC;
volatile EXTERN BIT_LIST_8              __io(0x0FCD)    _0x0FCD;
volatile EXTERN BIT_LIST_8              __io(0x0FCE)    _0x0FCE;
volatile EXTERN BIT_LIST_8              __io(0x0FCF)    _0x0FCF;

volatile EXTERN BIT_LIST_8              __io(0x0FD0)    _0x0FD0;
volatile EXTERN BIT_LIST_8              __io(0x0FD1)    _0x0FD1;
volatile EXTERN BIT_LIST_8              __io(0x0FD2)    _0x0FD2;
volatile EXTERN BIT_LIST_8              __io(0x0FD3)    _0x0FD3;
volatile EXTERN BIT_LIST_8              __io(0x0FD4)    _0x0FD4;
volatile EXTERN BIT_LIST_8              __io(0x0FD5)    _0x0FD5;
volatile EXTERN BIT_LIST_8              __io(0x0FD6)    _0x0FD6;
volatile EXTERN BIT_LIST_8              __io(0x0FD7)    _0x0FD7;
volatile EXTERN BIT_LIST_8              __io(0x0FD8)    _0x0FD8;
volatile EXTERN BIT_LIST_8              __io(0x0FD9)    _0x0FD9;
volatile EXTERN BIT_LIST_8              __io(0x0FDA)    _0x0FDA;
volatile EXTERN BIT_LIST_8              __io(0x0FDB)    _0x0FDB;
volatile EXTERN BIT_LIST_8              __io(0x0FDC)    _0x0FDC;
volatile EXTERN BIT_LIST_8              __io(0x0FDD)    _0x0FDD;
volatile EXTERN BIT_LIST_8              __io(0x0FDE)    _0x0FDE;
volatile EXTERN BIT_LIST_8              __io(0x0FDF)    _0x0FDF;

volatile EXTERN BIT_LIST_8              __io(0x0FE0)    _0x0FE0;
volatile EXTERN BIT_LIST_8              __io(0x0FE1)    _0x0FE1;
volatile EXTERN BIT_LIST_8              __io(0x0FE2)    _0x0FE2;
volatile EXTERN BIT_LIST_8              __io(0x0FE3)    _0x0FE3;
volatile EXTERN BIT_LIST_8              __io(0x0FE4)    _0x0FE4;
volatile EXTERN BIT_LIST_8              __io(0x0FE5)    _0x0FE5;
volatile EXTERN BIT_LIST_8              __io(0x0FE6)    _0x0FE6;
volatile EXTERN BIT_LIST_8              __io(0x0FE7)    _0x0FE7;
volatile EXTERN BIT_LIST_8              __io(0x0FE8)    _0x0FE8;
volatile EXTERN BIT_LIST_8              __io(0x0FE9)    _0x0FE9;
volatile EXTERN BIT_LIST_8              __io(0x0FEA)    _0x0FEA;
volatile EXTERN BIT_LIST_8              __io(0x0FEB)    _0x0FEB;
volatile EXTERN BIT_LIST_8              __io(0x0FEC)    _0x0FEC;
volatile EXTERN BIT_LIST_8              __io(0x0FED)    _0x0FED;
volatile EXTERN BIT_LIST_8              __io(0x0FEE)    _0x0FEE;
volatile EXTERN BIT_LIST_8              __io(0x0FEF)    _0x0FEF;

volatile EXTERN BIT_LIST_8              __io(0x0FF0)    _0x0FF0;
volatile EXTERN BIT_LIST_8              __io(0x0FF1)    _0x0FF1;
volatile EXTERN BIT_LIST_8              __io(0x0FF2)    _0x0FF2;
volatile EXTERN BIT_LIST_8              __io(0x0FF3)    _0x0FF3;
volatile EXTERN BIT_LIST_8              __io(0x0FF4)    _0x0FF4;
volatile EXTERN BIT_LIST_8              __io(0x0FF5)    _0x0FF5;
volatile EXTERN BIT_LIST_8              __io(0x0FF6)    _0x0FF6;
volatile EXTERN BIT_LIST_8              __io(0x0FF7)    _0x0FF7;
volatile EXTERN BIT_LIST_8              __io(0x0FF8)    _0x0FF8;
volatile EXTERN BIT_LIST_8              __io(0x0FF9)    _0x0FF9;
volatile EXTERN BIT_LIST_8              __io(0x0FFA)    _0x0FFA;
volatile EXTERN BIT_LIST_8              __io(0x0FFB)    _0x0FFB;
volatile EXTERN BIT_LIST_8              __io(0x0FFC)    _0x0FFC;
volatile EXTERN BIT_LIST_8              __io(0x0FFD)    _0x0FFD;
volatile EXTERN BIT_LIST_8              __io(0x0FFE)    _0x0FFE;
volatile EXTERN BIT_LIST_8              __io(0x0FFF)    _0x0FFF;
//****************************************************
//   --> ⹦ܼĴӳλַ ************
//****************************************************


#endif //_MQ6823_SFR_ADDR_H_











