//******************************************
//  : MQ6823_TCC.c
// 汾     : V1.0 2019/04/09MQ6823
//      : initial,setup,operation
// ע     :
//******************************************

#include "main.h"




//*********************************************************************
//    : TCC1_PPGC1x_Init
//  : TCC1 PPGC11/PPGC12 ռձȿɵģʽ
// ע     :
//          : ʹÿݼĴ
//          : 1. ģʽ : TCxCR1, TCxCR2
//          : 2. ʱ估ݼĴ: TCxDRA, TCxDRB, TCxDRD, TCxDRE (ֻеصģʽʹòҪ)
//          : 3. ڲݼĴ: TCxDRC
//          : 4. ʱ//ֹͣ: TCxCR3
//*********************************************************************
void TCC1_PPGC1x_Init(void)
{
//====== ܽųʼ ======
    P8CR_P0 = 1;                        // P80(PPGC11B)Ϊģʽ
    P8CR_P1 = 1;                        // P81(PPGC12B)Ϊģʽ

//====== ܿ( Enable) ======
    POFFCR0_TCC1EN = 1;		            // ȿݴò

//====== 趨 ======
	

//------ ------ ------ ------ ------ ------
// 1. ģʽ : TC1CR1, TC1CR2
//------ ------ ------ ------ ------ ------
    TC1CR1_TCCCK    =  0x02;            // TCCCK: ѡԴʱ
                    // 0x00: fcgck
                    // 0x01: fcgck/2
                    // 0x02: fcgck/2^2
                    // 0x03: fcgck/2^3
    TC1CR1_PPGC1INI = 0;                //  PPGCxINI ʼֵ,PPGC11 ʼֵΪ"͵ƽ"߼Ϊ"߼"
    TC1CR1_PPGC2INI = 0;                //  PPGCxINI ʼֵ,PPGC12 ʼֵΪ"͵ƽ"߼Ϊ"߼"
//	PxFC ùţڳʼֵ趨֮ PxFC
    P8FC_P0 = 1;                        // лP80(PPGC11B)Ϊ⹦ܽ
    P8FC_P1 = 1;                        // лP81(PPGC12B)Ϊ⹦ܽ

//------ ------ ------ ------ ------ ------
    TC1CR2_TCCOUT   =  0x00;            // TCCOUT: ѡȡģʽ
                    // 0x00: PPGC11/PPGC12
                    // 0x01: *ϵͳ
                    // 0x02: ռձȿɵ
                    // 0x03: ռձȹ̶50%

//------ ------ ------ ------ ------ ------
// 2. ʱ估ݼĴ: TC1DRA, TC1DRB, TC1DRD, TC1DRE (ֻеصģʽʹòҪ)
//------ ------ ------ ------ ------ ------
    TC1DRAL         = 0x06;             // ʱ1趨Ĵ(λ)   6
    TC1DRAH         = 0x00;             // ʱ1趨Ĵ(λ)

    TC1DRBL         = 0x20;             // 1趨Ĵ(λ)      32
    TC1DRBH         = 0x00;             // 1趨Ĵ(λ)

    TC1DRDL         = 0x10;             // ʱ2趨Ĵ(λ)   16
    TC1DRDH         = 0x00;             // ʱ2趨Ĵ(λ)

    TC1DREL         = 0x80;             // 2趨Ĵ(λ)      128
    TC1DREH         = 0x00;             // 2趨Ĵ(λ)

//------ ------ ------ ------ ------ ------
// 3. ڲݼĴ: TC1DRC
//------ ------ ------ ------ ------ ------
    TC1DRCL         = 0x80;             // 趨Ĵ(λ)        128
    TC1DRCH         = 0x00;             // 趨Ĵ(λ)

//------ ------ ------ ------ ------ ------
// 4. ʱ//ֹͣ: TC1CR3
//------ ------ ------ ------ ------ ------
    TC1CR3_STM      = 0x00;             // STM: ѡȡֹͣ״̬ / ѡȡһ
                //  --------|------------|----------------------------------
                //          | TCCST=1    | TCCST=0
                //  --------|------------|----------------------------------
                //    0x00: |    | ֹͣصʼ
                //    0x02: |    | ֹͣά״̬
                //    0x04: | һ   | ɵڵֹͣ
                //    0x06: | ϵͳ   | ϵͳ
                //  --------|------------|----------------------------------

}


//*********************************************************************
//    : TCC1_PPGC1x_Start
//  : TCC1
// ע     :
//*********************************************************************
void TCC1_PPGC1x_Start(void)
{
    TC1CR3_TCCST    = 1;                // 
}


//*********************************************************************
//    : TCC1_PPGC1x_Stop
//  : ֹͣTCC1
// ע     : 
//*********************************************************************
void TCC1_PPGC1x_Stop(void)
{
    TC1CR3_TCCST    = 0;                // ֹͣ
}


//*********************************************************************
//    : TCC1_PPGC1x_IntEnable
//  :  TCC1P,TCC1T ж
// ע     :
//*********************************************************************
void TCC1_PPGC1x_IntEnable(void)
{
    DI;                                 // ֹпж // EIRL_IMF=0
    IL_INTTCC1T     = 0;                // ж
    EI_INTTCC1T     = 1;                // 趨ж
    IL_INTTCC1P     = 0;                // ж
    EI_INTTCC1P     = 1;                // 趨ж
    EI;                                 // пж // EIRL_IMF=1
}



//*********************************************************************
//    : TCC1_PPGC1x_IntDisable
//  : ֹ TCC1P,TCC1T ж
// ע     :
//*********************************************************************
void TCC1_PPGC1x_IntDisable(void)
{
    DI;                                 // ֹпж // EIRL_IMF=0
    IL_INTTCC1T     = 0;                // ж
    EI_INTTCC1T     = 0;                // ж
    IL_INTTCC1P     = 0;                // ж
    EI_INTTCC1P     = 0;                // ж
    EI;                                 // пж // EIRL_IMF=1
}



//*********************************************************************
//    : IntTCC1T
//  : жϸʽ
// ע     :
//*********************************************************************
void __interrupt IntTCC1T(void)
{
    NOP;                                // ָ
}



//*********************************************************************
//    : IntTCC1P
//  : жϸʽ
// ע     :
//*********************************************************************
void __interrupt IntTCC1P(void)
{
    NOP;                                // ָ
}




